network print and scan support for OfficeJet Pro 9022e

Asked by LinuXoDus

Hi,

in the compatibility list the OfficeJet Pro 9022e is not listed.
https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index

I was wondering if it is possible without big effort to install the printer and scanner (via SAHNE) as a network device on Ubuntu 20.04.
Thank for your feedback on this matter.
Tobi

Question information

Language:
English Edit question
Status:
Solved
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Solved by:
LinuXoDus
Solved:
Last query:
Last reply:
Revision history for this message
brian_p (claremont102) said :
#1

USB or wireless? Wireless would be less of an effort for both of
us on Ubuntu 20.04, but USB is doable.

Revision history for this message
LinuXoDus (linuxodus) said :
#2

would be LAN for both print an scan (both with duplex)

Revision history for this message
brian_p (claremont102) said :
#3

OK. Printing first. Give

  avahi-browse -rt _ipp._tcp

  avahi-browse -rt _uscan._tcp

  driverless

Revision history for this message
LinuXoDus (linuxodus) said :
#4

I am not following your comment.

Are does command meant for the terminal?

Revision history for this message
LinuXoDus (linuxodus) said :
#5

Tonight I installed hplip-3.21.6 to get an OfficeJet Pro 9020 to work. Since the 9020 and the 9022 are very similar I would supposes there is hope it could work most likely there too.

Revision history for this message
LinuXoDus (linuxodus) said :
#6
Revision history for this message
brian_p (claremont102) said :
#7

> Are does command meant for the terminal?

The three commands are to be executed in a terminal.

Revision history for this message
LinuXoDus (linuxodus) said :
#8

Hi,

thank you very much for the input.

INFO:
current HPLIP 3.21.6 supports all HP OfficeJet 902x systems.
Successfully tested on Ubuntu & Kubuntu 20.04 with 9020 and 9022 for printing and scanning via LAN !

PLEASE be aware that there is currently an HPLIP issue for systems where "python" is mapped to "python2".
Just follow the " 3. Fix python-pyqt5 dependency issue" here:
https://ubuntuhandbook.org/index.php/2021/07/install-latest-hplip-ubuntu-20-04-fix/
in short it applies
sudo apt install python-is-python3

and then install HPLIP (just follow the howto of the link)

I could not install on a Ubuntu 16.04 which dropped support.

SCAN:
Duplex Scan from Document Feeder with the 9022 was significantly better than with the 9020 (text on the backside at 150 PDI was always distorted about 25% down the page. (100% repeatability!). The 9022 is the new working horse for all the scanning- fast and quiet.

Have fun!